Start a workflow
curl --request POST \
--url https://api.vegaminds.com/v1/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template_id": "6c66437b-d5e7-4b86-9eab-a1d8190fd0b3",
"name": "Ellis family onboarding",
"household_ids": [
"d733ce99-6435-447a-a14c-d5081c72a82c"
]
}
'import requests
url = "https://api.vegaminds.com/v1/workflows"
payload = {
"template_id": "6c66437b-d5e7-4b86-9eab-a1d8190fd0b3",
"name": "Ellis family onboarding",
"household_ids": ["d733ce99-6435-447a-a14c-d5081c72a82c"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
template_id: '6c66437b-d5e7-4b86-9eab-a1d8190fd0b3',
name: 'Ellis family onboarding',
household_ids: ['d733ce99-6435-447a-a14c-d5081c72a82c']
})
};
fetch('https://api.vegaminds.com/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "invalid_request",
"message": "The request body is invalid.",
"fields": {
"email_addresses[0].address": "Must be an email address."
}
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "invalid_token",
"message": "The access token is invalid, expired or revoked."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "insufficient_scope",
"message": "This request needs the contacts:write scope, which the user did not grant. Connect the user again, asking for it."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "not_found",
"message": "Contact not found."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "rate_limited",
"message": "Too many requests. Wait the number of seconds in the Retry-After header, then try again."
}
}{
"error": {
"code": "internal_error",
"message": "Something went wrong on our side. Try again later, and contact Vega support with the request id if it keeps happening."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}Workflows
Start a workflow
Starts immediately from an accessible template, owned by the connected user with their default sharing. Copies the template and creates its first-stage tasks with the usual assignment and workflow-start notifications. Roles default to the template people; all must be active firm users. Client links are optional and must be accessible. Every successful call starts a new run: no idempotency key is supported. Scheduling, exclusions, access changes and template edits are managed in Vega.
POST
/
workflows
Start a workflow
curl --request POST \
--url https://api.vegaminds.com/v1/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template_id": "6c66437b-d5e7-4b86-9eab-a1d8190fd0b3",
"name": "Ellis family onboarding",
"household_ids": [
"d733ce99-6435-447a-a14c-d5081c72a82c"
]
}
'import requests
url = "https://api.vegaminds.com/v1/workflows"
payload = {
"template_id": "6c66437b-d5e7-4b86-9eab-a1d8190fd0b3",
"name": "Ellis family onboarding",
"household_ids": ["d733ce99-6435-447a-a14c-d5081c72a82c"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
template_id: '6c66437b-d5e7-4b86-9eab-a1d8190fd0b3',
name: 'Ellis family onboarding',
household_ids: ['d733ce99-6435-447a-a14c-d5081c72a82c']
})
};
fetch('https://api.vegaminds.com/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "invalid_request",
"message": "The request body is invalid.",
"fields": {
"email_addresses[0].address": "Must be an email address."
}
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "invalid_token",
"message": "The access token is invalid, expired or revoked."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "insufficient_scope",
"message": "This request needs the contacts:write scope, which the user did not grant. Connect the user again, asking for it."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "not_found",
"message": "Contact not found."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "rate_limited",
"message": "Too many requests. Wait the number of seconds in the Retry-After header, then try again."
}
}{
"error": {
"code": "internal_error",
"message": "Something went wrong on our side. Try again later, and contact Vega support with the request id if it keeps happening."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}Authorizations
Scopes
Body
application/json

